---
title: "Installation"
weight: 30
---

## Installation
### Option 1: Installation auf Geräten mit Originalfirmware ("stock" zu "factory") 

Wenn du deinen Internetzugang zur Verfügung stellen möchtest, verbinde jetzt den blauen WAN-Anschluss deines Freifunk-Routers mit deinem vorhandenen Internetrouter (meistens ein gelber Ethernetport).

1. Verbinde deinen Computer mit einem der gelben LAN-Anschlüsse des Routers und betätige den Power-Knopf auf der Rückseite des Geräts.
2. Dein Computer erhält nun automatisch via DHCP eine IP-Adresse.
3. Öffne das Webinterface des Routers in deinem Browser (je nach Hersteller bspw. http://192.168.0.1).
4. Folge den Anweisungen im Handbuch deines Routers um die Firmware zu aktualisieren.
5. Nutze dazu das **zuvor heruntergeladene factory-Firmware-Image**.
6. Der Router startet nun (mehrmals) neu. Dies kann mehrere Minuten dauern. Hab Geduld!

### Option 2: Installation auf Geräten mit Gluon-Firmware ("sysupgrade")

1. Verbinde deinen Computer mit einem der gelben LAN-Anschlüsse des Routers und betätige den Power-Knopf auf der Rückseite des Geräts.
2. Öffne den Konfigurationsmodus des Gluonrouters (http://192.168.1.1). Sollte das nicht funktionieren, muss das Gluongerät zunächst in den Konfigurationsmodus versetzt werden. Drücke dazu die "RESET"-Taste auf der Rückseite so lange, bis der Router neustartet.
3. Suche im Menü den Punkt "Firmwareupdate" und installiere das entsprechende **sysupgrade-Firmware-Image**. Bestehende Konfigurationen **müssen überschrieben** werden.
4. Der Router startet nun (mehrmals) neu. Dies kann mehrere Minuten dauern. Hab Geduld!

### Option 3: Installation auf Geräten mit Gluon-Firmware im Fernzugriff

Wenn du deinen Gluon-Router im Fernzugriff via ssh erreichst, kannst du folgende Schritte gehen. Passwort oder SSH-Key vorausgesetzt. Du benötigst zwei Konsolen.

1. Konsole 1

```
ssh root@Gluon-IPv6
 sync
 echo 3 > /proc/sys/vm/drop_caches
 cd /tmp
```

2. Konsole 2
```
scp ~/Pfad/zu/ffdd.bin 'root@[Gluon-IPv6]:/tmp'
```

3. Konsole 1
```
sysupgrade -n ffdd.bin
```

4. Der Router startet nun neu. Durch das Update ist er nicht mehr durch die bisherige IPv6 erreichbar. Warte, bis in der Knotenliste eines anderen ffdd-Routers (bspw. http://1222.freifunk-dresden.de/nodes.cgi) ein neuer Knoten mit einer 900er-Nummer auftaucht. Dies kann mehrere Minuten dauern. Hab Geduld! Ist das geschehen, verbinde dich mit ihm und überprüfe, ob es tatsächlich dein Gerät ist: Entweder, indem du seine Verbindungen überprüfst und/oder mit der Auto-Geolokalisation unter **Menü: Allgemein → Kontaktinfos**. Ist es dein Gerät, setze alsbald das Passwort und fahre mit dem nächsten Schritt fort.
